---
topic: Validationbonus2
---
# Step 8: Validation (bonus) ✔️

<ul class="roundbox">
<p>The developers of the general practitioners that will send patient data to Hospital X are starting to implement the use case based on your profiles. They are missing examples of resources that conform to the FHIR profiles of Hospital X.</p>

<li> Provide valid instances of the published profiles to demonstrate the expected FHIR resources.</li>
<li> Test the profiles by validating the example instances against the profiles. </li>
</ul>

### Steps to follow
It is good practice to create an instance of your profile while creating that profile. It will improve your modeling, provide documentation for the implementers and allow you to validate and test your profile. Therefore, the bonus exercise is to create instances that conform to the built profiles. Ensure that the instance has a `.meta.profile` element that includes the canonical URL of your profile.
 
<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h2 class="panel-title">
        <a data-toggle="collapse" href="#collapse7">For example, you may have created these instances...</a>
      </h2>
    </div>
    <div id="collapse7" class="panel-collapse collapse">
      <div class="panel-body">
        <p><b>Example of a 'Hospital X Patient': {{link:examples/HospitalXPatient-01.xml}}</b>
           {{json:examples/HospitalXPatient-01.xml}} 
           </p>
        <p>               
  </div>
        <div class="panel-body">
        <p><b>Example of a 'Hospital X Practitioner': {{link:examples/HospitalXPractitioner-01.xml}}</b>
           {{json:examples/HospitalXPractitioner-01.xml}} </p>
        <p>               
  </div>
        <div class="panel-body">
        <p><b>Example of a 'Hospital X Condition': {{link:examples/HospitalXCondition-01.xml}}</b>
           {{json:examples/HospitalXCondition-01.xml}} </p>
        <p>               
  </div>
</div>
</div>

</br>


1. Upload your instances to your project and validate them by going to the resource and hitting the validation icon on the top right. Note: if you are on a paid plan, you can run the Quality Control feature validating the entire project in one go!
2. Or instead of uploading the instance, you can also copy and paste it in [simplifier/validate][1]. Make sure R4 is selected and you scope the validation to your project/package.

3. Lastly, the bonus bonus exercirse is to make these three invalid examples valid!
    - {{link:examples/invalid examples/HospitalXPatient-01-Invalid.xml}}
    - {{link:examples/invalid examples/HospitalXPractitioner-01-Invalid.xml}}
    - {{link:examples/invalid examples/HospitalXCondition-01-Invalid.xml}}

If you want to know all the benefits of publishing and validating your profiles with packages, the following exercises are highly recommended: [ACME R4 Package Tutorial][2]. 


[1]: https://simplifier.net/validate "Simplifier Validator"
[2]: https://simplifier.net/guide/acme-r4-packages-tutorial "Package Tutorial"
