---
topic: DDJune2021-ReceivepatientdatafromGeneralPractitioners
---
# Receive patient data from general practitioners
This page contains step by step exercises that are part of the [Let's Build! Building a FHIR data model with Forge](https://whova.com/embedded/session/DUy2N4bVuvzTRTGPv7qLNMDOCOtGH-sGReH1Gfvrunc=/2227752/?widget=primary) at **DevDays 2022 June**. 

Following these exercises will learn you how to start profiling, the art of defining your FHIR data model, with Forge.

After completing this tutorial, you will be able to:
-	Create FHIR profiles, derived profiles and extensions with Forge
-	Model data properties like cardinalities and data types
-	Create profile references 
- Adjust terminology bindings
-	Slice lists of data elements
-	Publish FHIR resources to Simplifier.net
- Validate your work

<div class="panel-group">
  <div class="panel panel-default">
    <div class="panel-heading">
      <h2 class="panel-title">
        <a data-toggle="collapse" href="#collapse0">Prerequisites</a>
      </h2>
    </div>
    <div id="collapse0" class="panel-collapse collapse">
      <div class="panel-body">
     	<p>
       <li>A free Simpifier.net account  (<a href="https://simplifier.net/signup">sign up here</a>)</li>  
      <li>Forge for FHIR R4 (free for non-commercial use, <a href="https://simplifier.net/downloads/forge">download here</a>)</li>
      </p>
      <li>If you’re on <ins>Windows</ins>: Double-click the installer and follow the process</li>
      <li>If you’re on <ins>Mac</ins> or <ins>Linux</ins>: While Forge originally wasn’t built for these platforms, you can <a href="https://docs.simplifier.net/projects/Forge/InstallingForge.html#installing-on-other-operating-systems">run Forge in a virtual machine with Windows or, in some case, with Wine</a>.</li>
      
      </div>
  </div>
</div>

[1]: https://www.devdays.com/june-2021/lets-build-a-fhir-specification/ "FHIR DevDays Let's Build a FHIR specification track"
